<?php

/**
 * GWDK - Gadget Web Development Kit
 * 
 * Copyright (c) 2004-2005, Michael Wallner, IWORKS
 * All rights reserved.
 * 
 * @package     Gadget
 * @subpackage  Gadget_Provider
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.5 $
 * 
 * @copyright   2004-2005 Michael Wallner, IWORKS
 * @license     http://dev.iworks.at/gadget/LICENSE.txt GWDK License
 * 
 * @cvs         $Id: Autologin.php,v 1.5 2007-03-30 11:40:07 mike Exp $
 */

/**
 * Requires Gadget_Provider
 */
require_once 'Gadget/Provider.php';

/**
 * Requires Gadget_Cookie
 */
require_once 'Gadget/Cookie.php';

/**
 * Gadget_Provider_Autologin
 *
 * Gadget's default autologin provider.
 * 
 * @package     Gadget
 * @subpackage  Gadget_Provider
 * @since       1.0
 */
class Gadget_Provider_Autologin extends Gadget_Provider
{
    var $provider = PROVIDER_AUTOLOGIN;
    
    /**
     * Get
     * 
     * @access  public
     * @return  mixed
     */
    function get()
    {
        return Gadget_Cookie::get('autologin', true);
    }
    
    /**
     * Set
     * 
     * @access  public
     * @return  void
     * @param   bool
     */
    function set($enable)
    {
        if ($enable) {
            $user = Gadget::currentUser(true);
            Gadget_Cookie::set('autologin', 
                array(
                    'alias'     => $user->alias, 
                    'password'  => md5($user->password),
                )
            );
        } else {
            Gadget_Cookie::reset('autologin');
        }
    }
    
}

?>
