<?php

/**
 * Gadget Web Development Kit
 * 
 * Copyright (c) 2004-2005, Michael Wallner, IWORKS
 * All rights reserved.
 * 
 * @package     Gadget
 * @subpackage  Gadget_Service
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.3 $
 * 
 * @copyright   2004-2005 Michael Wallner, IWORKS
 * @license     http://dev.iworks.at/gadget/LICENSE.txt GWDK License
 * 
 * @cvs         $Id: Errordisplay.php,v 1.3 2007-03-30 11:40:08 mike Exp $
 */

/**
 * Requires Gadget_Service
 */
require_once 'Gadget/Service.php';

/** 
 * Gadget_Service_Errordisplay
 *
 * Gadget's default Error Display Service.
 * 
 * @package     Gadget
 * @subpackage  Gadget_Service
 * @since       1.0
 */
class Gadget_Service_Errordisplay extends Gadget_Service
{
    var $service = SERVICE_ERRORDISPLAY;
    
    /**
     * Execute
     * 
     * @access  protected
     * @return  bool true
     * @param   object PEAR_Error $e
     */
    function execute($e)
    {
        Gadget::newWidget(
            'DivContainer',
            array(
                'class'     => 'error',
                'style'     => 'background: #ff0; border: solid #f00;',
                'content'   => sprintf('<p><strong>%s:</strong></p><p>%s<br />%s</p>',
                    _('Fehler'), $e->getMessage(), $e->getUserInfo())
            )
        );
        return true;
    }
    
}

?>
