<?php

/**
 * Gadget Web Development Kit
 * 
 * Copyright (c) 2004-2005, Michael Wallner, IWORKS
 * All rights reserved.
 * 
 * @package     Gadget
 * @subpackage  Gadget_Template
 * @author      Michael Wallner <mike@iworks.at>
 * @version     $Revision: 1.4 $
 * 
 * @copyright   2004-2005 Michael Wallner, IWORKS
 * @license     http://dev.iworks.at/gadget/LICENSE.txt GWDK License
 * 
 * @cvs         $Id: foreach.php,v 1.4 2007-03-30 11:40:08 mike Exp $
 */

/**
 * Requires Gadget_Template_Action
 */
require_once 'Gadget/Template/Action.php';

/** 
 * Gadget_Template_Action_foreach
 *
 * @package     Gadget
 * @subpackage  Gadget_Template
 * @since       1.0
 */
class Gadget_Template_Action_foreach extends Gadget_Template_Action
{
    /**
     * Name
     * 
     * @var string
     */
    var $name = 'foreach';
    
    /**
     * Recursive Pattern
     * 
     * @var string
     */
    var $recursivePattern = 'foreach:?';
    
    /**
     * RAW Callback
     * 
     * @access  public
     * @return  string
     * @param   array
     */
    function rawCallback($args)
    {
        return 'foreach ((array)'. $this->parseArg($args[2]) .') {';
    }
    
}

?>
